This API reference describes the RESTful APIs you can use to interact with the Mem platform. REST APIs are usable via HTTP in any environment that supports HTTP requests.
Guides
Learn best practices for using the Mem API
Authentication
Learn how to authenticate your requests
Rate Limits
Learn about the rate limits for the Mem API
Error Handling
Learn how to handle errors from the Mem API
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Mem API","colors":{"primary":"#3D69D9","light":"#6792FF","dark":"#1D47B3"},"logo":{"light":"https://mintcdn.com/mem/OtM7OVx6kAczpvxW/logo/light.svg?fit=max\u0026auto=format\u0026n=OtM7OVx6kAczpvxW\u0026q=85\u0026s=44740ce750f212aa35044317793de356","dark":"https://mintcdn.com/mem/OtM7OVx6kAczpvxW/logo/dark.svg?fit=max\u0026auto=format\u0026n=OtM7OVx6kAczpvxW\u0026q=85\u0026s=496fcca9a9e2876eec97390d87a80f74"},"favicon":"https://mintcdn.com/mem/OtM7OVx6kAczpvxW/favicon.svg?fit=max\u0026auto=format\u0026n=OtM7OVx6kAczpvxW\u0026q=85\u0026s=9eb055e5579806c03eef81490dc3433f","api":{"playground":{"display":"simple"},"examples":{"languages":["curl"]}},"navbar":{"links":[{"href":"https://support.mem.ai/","label":"Support"}],"primary":{"type":"button","label":"Go to Mem","href":"https://mem.ai"}},"footer":{"socials":{"x":"https://x.com/memdotai","github":"https://github.com/mem-labs","linkedin":"https://www.linkedin.com/company/memdotai"}},"fonts":{"family":"Ritual","source":"https://storage.googleapis.com/memassets/Ritual.woff2","format":"woff2"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Community","icon":"slack","href":"https://get.mem.ai/slack"},{"anchor":"Blog","icon":"newspaper","href":"https://get.mem.ai/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mem","hasAudioNarration":false,"actualSubdomain":"mem","customDomains":["docs.mem.ai"],"gitSource":{"type":"github","owner":"mem-labs","repo":"mem","deployBranch":"main","contentDirectory":"workspaces/typescript/projects/dev-docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a9b39d4896ebfa4e12a2126","collectionId":"7a4840c7-90b4-4477-9a2e-9fc69ca21538","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a9b39d4896ebfa4e12a2126"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a9b39d4896ebfa4e12a2126","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API Reference","count":23},{"language":"default","tag":"Collections","count":9},{"language":"default","tag":"Notes","count":8},{"language":"default","tag":"API Documentation","count":5},{"language":"default","tag":"Guides","count":5},{"language":"default","tag":"MCP","count":4},{"language":"default","tag":"Model Context Protocol","count":4},{"language":"default","tag":"Get Started","count":2},{"language":"default","tag":"Use Cases","count":2},{"language":"default","tag":"Home","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".light #content-container,.light #sidebar,.light #sidebar>.bg-background-light,html.light,html.light #root,html.light body{background-color:#fcf8f1}html.light{--background-light:252 248 241}.dark .docs-home-theme-illustration{filter:brightness(0) invert(1);opacity:.8}table{width:100%;border-collapse:collapse;margin:24px 0 20px;background-color:#fff;overflow:hidden;table-layout:fixed;display:table!important}td,th{padding:8px 12px!important;border:1px solid #e5e0e1;box-sizing:border-box;vertical-align:middle}th{background-color:#f5f5f5;font-weight:600;color:#333;text-transform:uppercase;font-size:.9em;letter-spacing:.5px;text-align:center}td{text-align:left}"}],"page":{"pagePath":"api-reference/overview/introduction","slug":"/api-reference/overview/introduction","pageMetadata":{"title":"Introduction","mode":"wide","description":null,"href":"/api-reference/overview/introduction"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components},{Card,CardGroup}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!CardGroup)_missingMdxReference(`CardGroup`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This API reference describes the RESTful APIs you can use to interact with the Mem platform. REST APIs are usable via HTTP in any environment that supports HTTP requests.`}),`\n`,_jsxs(CardGroup,{cols:2,children:[_jsx(Card,{title:`Guides`,icon:`book`,href:`/guides/get-started/overview`,children:_jsx(_components.p,{children:`Learn best practices for using the Mem API`})}),_jsx(Card,{title:`Authentication`,icon:`key`,href:`/api-reference/overview/authentication`,children:_jsx(_components.p,{children:`Learn how to authenticate your requests`})}),_jsx(Card,{title:`Rate Limits`,icon:`clock`,href:`/api-reference/overview/rate-limits`,children:_jsx(_components.p,{children:`Learn about the rate limits for the Mem API`})}),_jsx(Card,{title:`Error Handling`,icon:`screwdriver-wrench`,href:`/api-reference/overview/error-handling`,children:_jsx(_components.p,{children:`Learn how to handle errors from the Mem API`})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Introduction","mode":"wide","description":null,"href":"/api-reference/overview/introduction"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"subdomain":"mem","siteName":"Mem API","title":"Introduction - Mem API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-04T21:36:43.521Z","originalFileLocation":"api-reference/overview/introduction.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Mem API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Introduction - Mem API\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Mem API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.mem.ai/api-reference/overview/introduction\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mem.mintlify.app/_mintlify/api/og/v2?division=API+Documentation\u0026amp;title=Introduction\u0026amp;theme=8fdc537d852f84bc8ae932ae\u0026amp;signature=7d86566d622b030047ed39e3dba1a52256cf186b9b82b807d9441495119ac15f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Introduction - Mem API\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mem.mintlify.app/_mintlify/api/og/v2?division=API+Documentation\u0026amp;title=Introduction\u0026amp;theme=8fdc537d852f84bc8ae932ae\u0026amp;signature=7d86566d622b030047ed39e3dba1a52256cf186b9b82b807d9441495119ac15f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/mem/YlDIdVjHL79F2fo4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Mem API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3D69D9\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.mem.ai/api-reference/overview/introduction\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/overview/introduction.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.mem.ai/#organization\",\"name\":\"Mem API\",\"url\":\"https://docs.mem.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/mem/OtM7OVx6kAczpvxW/logo/light.svg?fit=max\u0026auto=format\u0026n=OtM7OVx6kAczpvxW\u0026q=85\u0026s=44740ce750f212aa35044317793de356\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.mem.ai#website\",\"name\":\"Mem API\",\"url\":\"https://docs.mem.ai\",\"publisher\":{\"@id\":\"https://docs.mem.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.mem.ai/api-reference/overview/introduction#webpage\",\"url\":\"https://docs.mem.ai/api-reference/overview/introduction\",\"name\":\"Introduction\",\"dateModified\":\"2026-09-04T21:36:43.521Z\",\"isPartOf\":{\"@id\":\"https://docs.mem.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.mem.ai/api-reference/overview/introduction#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.mem.ai/api-reference/overview/introduction#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Mem API\",\"item\":\"https://docs.mem.ai\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Introduction\",\"item\":\"https://docs.mem.ai/api-reference/overview/introduction\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.mem.ai/api-reference/overview/introduction#article\",\"headline\":\"Introduction\",\"name\":\"Introduction\",\"url\":\"https://docs.mem.ai/api-reference/overview/introduction\",\"mainEntityOfPage\":{\"@id\":\"https://docs.mem.ai/api-reference/overview/introduction#webpage\"},\"dateModified\":\"2026-09-04T21:36:43.521Z\",\"publisher\":{\"@id\":\"https://docs.mem.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.mem.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Mem API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Mem API","nav":{"global":{"anchors":[{"anchor":"Community","icon":"slack","href":"https://get.mem.ai/slack"},{"anchor":"Blog","icon":"newspaper","href":"https://get.mem.ai/blog"}]},"tabs":[{"tab":"Home","pages":[{"title":"Home","href":""}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/get-started/overview"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","mode":"wide","href":"/api-reference/overview/introduction"},{"title":"Authentication","mode":"wide","description":null,"href":"/api-reference/overview/authentication"},{"title":"Rate Limits","mode":"wide","href":"/api-reference/overview/rate-limits"},{"title":"Error Handling","mode":"wide","href":"/api-reference/overview/error-handling"},{"title":"Changelog","href":"/api-reference/overview/changelog"}]},{"group":"Mem It","pages":[{"title":"Mem It","openapi":"POST /v2/mem-it","href":"/api-reference/mem-it/mem-it"}]},{"group":"Notes","pages":[{"title":"Create Note","openapi":"POST /v2/notes","href":"/api-reference/notes/create-note"},{"title":"Read Note","openapi":"GET /v2/notes/{note_id}","href":"/api-reference/notes/read-note"},{"title":"Update Note","openapi":"PATCH /v2/notes/{note_id}","href":"/api-reference/notes/update-note"},{"title":"Set Note Created At","openapi":"PATCH /v2/notes/{note_id}/created-at","href":"/api-reference/notes/set-note-created-at"},{"title":"Delete Note","openapi":"DELETE /v2/notes/{note_id}","href":"/api-reference/notes/delete-note"},{"title":"List Notes","openapi":"GET /v2/notes","href":"/api-reference/notes/list-notes"},{"title":"Search Notes","openapi":"POST /v2/notes/search","href":"/api-reference/notes/search-notes"},{"title":"Find Related Notes","openapi":"GET /v2/notes/{note_id}/related-notes","href":"/api-reference/notes/find-related-notes"}]},{"group":"Collections","pages":[{"title":"Create Collection","openapi":"POST /v2/collections","href":"/api-reference/collections/create-collection"},{"title":"Read Collection","openapi":"GET /v2/collections/{collection_id}","href":"/api-reference/collections/read-collection"},{"title":"Update Collection","openapi":"PATCH /v2/collections/{collection_id}","href":"/api-reference/collections/update-collection"},{"title":"Add Note to Collection","openapi":"PUT /v2/collections/{collection_id}/notes/{note_id}","href":"/api-reference/collections/add-note-to-collection"},{"title":"Remove Note from Collection","openapi":"DELETE /v2/collections/{collection_id}/notes/{note_id}","href":"/api-reference/collections/remove-note-from-collection"},{"title":"Move Note","openapi":"POST /v2/collections/{source_collection_id}/notes/{note_id}/move","href":"/api-reference/collections/move-note"},{"title":"Delete Collection","openapi":"DELETE /v2/collections/{collection_id}","href":"/api-reference/collections/delete-collection"},{"title":"List Collections","openapi":"GET /v2/collections","href":"/api-reference/collections/list-collections"},{"title":"Search Collections","openapi":"POST /v2/collections/search","href":"/api-reference/collections/search-collections"}]}]},{"tab":"MCP","pages":[{"title":"MCP","href":"/mcp/overview"}]}]},"title":"Introduction - Mem API","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":[],"chunks":[]}